Bug 1552178 - CVE-2018-7536 CVE-2018-7537 python-django: various flaws [fedora-all]
Summary: CVE-2018-7536 CVE-2018-7537 python-django: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-7536 CVE-2018-7537
TreeView+ depends on / blocked
 
Reported: 2018-03-06 16:16 UTC by Adam Mariš
Modified: 2018-05-15 20:16 UTC (History)
8 users (show)

Fixed In Version: python-django-1.11.11-1.fc27 python-django-2.0.3-1.fc28
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-15 15:28:00 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-03-06 16:16:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2018-03-06 16:16:55 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1549777,1549779,1552178

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-03-06 21:08:31 UTC
python-django-1.11.11-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bd1147f152

Comment 3 Fedora Update System 2018-03-06 21:17:07 UTC
python-django-2.0.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cce0e0bd04

Comment 4 Fedora Update System 2018-03-06 21:50:50 UTC
django-1.6-20180306212934.c2c572ec has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-fea1fb5c83

Comment 5 Fedora Update System 2018-03-07 15:35:31 UTC
python-django-1.11.11-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bd1147f152

Comment 6 Fedora Update System 2018-03-08 15:26:52 UTC
python-django-2.0.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cce0e0bd04

Comment 7 Fedora Update System 2018-03-08 18:22:19 UTC
django-1.6-20180307130104.c2c572ec has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-fea1fb5c83

Comment 8 Fedora Update System 2018-03-08 18:34:01 UTC
django-1.6-20180307130104.c2c572ec has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-fea1fb5c83

Comment 9 Fedora Update System 2018-03-13 09:01:46 UTC
python2-django1.11-1.11.11-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-39cc0bc342

Comment 10 Petr Viktorin 2018-03-13 09:05:35 UTC
I reused this bug for the same fix in python2-django1.11.
Please shout if, in the future, I should rather clone it.

Comment 11 Fedora Update System 2018-03-13 15:11:34 UTC
python2-django1.11-1.11.11-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-39cc0bc342

Comment 12 Fedora Update System 2018-03-15 15:28:00 UTC
python-django-1.11.11-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-30 12:43:43 UTC
python-django-2.0.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-03-30 12:52:29 UTC
python2-django1.11-1.11.11-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-05-03 12:30:20 UTC
django-1.6-20180409143454.c7b355af has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-fea1fb5c83

Comment 16 Fedora Update System 2018-05-05 23:00:28 UTC
django-1.6-20180409143454.c7b355af has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-fea1fb5c83

Comment 17 Fedora Update System 2018-05-15 20:16:38 UTC
django-1.6-20180409143454.c7b355af has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.